# WOK
TKWOK
MS

# MS_Engine Class Reference

`#include <MS_Engine.hxx>`

Inheritance diagram for MS_Engine:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Engine (const Handle(TCollection_HAsciiString)&anEngine)
Standard_EXPORT void | Use (const Handle(TCollection_HAsciiString)&aEngine)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Uses () const
Standard_EXPORT void | Interface (const Handle(TCollection_HAsciiString)&aInterface)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Interfaces () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myUses
Handle_TColStd_HSequenceOfHAsciiString | myInterfaces

## Constructor & Destructor Documentation

Standard_EXPORT MS_Engine::MS_Engine | ( | const Handle(TCollection_HAsciiString)& | anEngine | ) |

## Member Function Documentation

Standard_EXPORT const MS_Engine::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Exec.

Standard_EXPORT void MS_Engine::Interface | ( | const Handle(TCollection_HAsciiString)& | aInterface | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Engine::Interfaces | ( |  | ) | const

Standard_EXPORT void MS_Engine::Use | ( | const Handle(TCollection_HAsciiString)& | aEngine | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Engine::Uses | ( |  | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString MS_Engine::myInterfaces `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Engine::myUses `[private]`

The documentation for this class was generated from the following file:

- MS_Engine.hxx